Package org.wso2.carbon.deployment.synchronizer

## Class DeploymentSynchronizerConstants

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerConstants

-     public class DeploymentSynchronizerConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `AUTO_CHECKOUT_MODE` |
    `static String` | `AUTO_COMMIT_MODE` |
    `static String` | `AUTO_SYNC_PERIOD` |
    `static String` | `CARBON_REPOSITORY` |
    `static long` | `DEFAULT_AUTO_SYNC_PERIOD` |
    `static int` | `DEFAULT_POOL_SIZE` |
    `static String` | `DEFAULT_REPOSITORY_TYPE` |
    `static String` | `DEPLOYMENT_SYNC_CONFIG_ROOT` |
    `static String` | `DEPLOYMENT_SYNCHRONIZER` |
    `static String` | `ENABLED` |
    `static String` | `EVENT_FILTER_DIALECT` |
    `static String` | `EVENT_RECEIVER_SERVICE` |
    `static String` | `POOL_SIZE` |
    `static String` | `REPOSITORY_TYPE` |
    `static String` | `REPOSITORY_TYPE_GIT` |
    `static String` | `REPOSITORY_TYPE_REGISTRY` |
    `static String` | `REPOSITORY_TYPE_SVN` |
    `static String` | `SUPER_TENANT_REGISTRY_PATH` |
    `static String` | `SVN_APP_TENANT_TO_URL` |
    `static String` | `SVN_FORCE_UPDATE` |
    `static String` | `SVN_IGNORE_EXTERNALS` |
    `static String` | `SVN_PASSWORD` |
    `static String` | `SVN_URL` |
    `static String` | `SVN_USERNAME` |
    `static String` | `TENANT_REGISTRY_PATH` |
    `static String` | `USE_EVENTING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentSynchronizerConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEPLOYMENT_SYNCHRONIZER

          public static final String DEPLOYMENT_SYNCHRONIZER

      See Also:
        Constant Field Values

    - #### ENABLED

          public static final String ENABLED

      See Also:
        Constant Field Values

    - #### AUTO_COMMIT_MODE

          public static final String AUTO_COMMIT_MODE

      See Also:
        Constant Field Values

    - #### AUTO_CHECKOUT_MODE

          public static final String AUTO_CHECKOUT_MODE

      See Also:
        Constant Field Values

    - #### POOL_SIZE

          public static final String POOL_SIZE

      See Also:
        Constant Field Values

    - #### AUTO_SYNC_PERIOD

          public static final String AUTO_SYNC_PERIOD

      See Also:
        Constant Field Values

    - #### USE_EVENTING

          public static final String USE_EVENTING

      See Also:
        Constant Field Values

    - #### REPOSITORY_TYPE

          public static final String REPOSITORY_TYPE

      See Also:
        Constant Field Values

    - #### SVN_URL

          public static final String SVN_URL

      See Also:
        Constant Field Values

    - #### SVN_USERNAME

          public static final String SVN_USERNAME

      See Also:
        Constant Field Values

    - #### SVN_PASSWORD

          public static final String SVN_PASSWORD

      See Also:
        Constant Field Values

    - #### SVN_FORCE_UPDATE

          public static final String SVN_FORCE_UPDATE

      See Also:
        Constant Field Values

    - #### SVN_IGNORE_EXTERNALS

          public static final String SVN_IGNORE_EXTERNALS

      See Also:
        Constant Field Values

    - #### SVN_APP_TENANT_TO_URL

          public static final String SVN_APP_TENANT_TO_URL

      See Also:
        Constant Field Values

    - #### SUPER_TENANT_REGISTRY_PATH

          public static final String SUPER_TENANT_REGISTRY_PATH

      See Also:
        Constant Field Values

    - #### TENANT_REGISTRY_PATH

          public static final String TENANT_REGISTRY_PATH

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_SYNC_CONFIG_ROOT

          public static final String DEPLOYMENT_SYNC_CONFIG_ROOT

      See Also:
        Constant Field Values

    - #### CARBON_REPOSITORY

          public static final String CARBON_REPOSITORY

      See Also:
        Constant Field Values

    - #### EVENT_FILTER_DIALECT

          public static final String EVENT_FILTER_DIALECT

      See Also:
        Constant Field Values

    - #### REPOSITORY_TYPE_REGISTRY

          public static final String REPOSITORY_TYPE_REGISTRY

      See Also:
        Constant Field Values

    - #### REPOSITORY_TYPE_SVN

          public static final String REPOSITORY_TYPE_SVN

      See Also:
        Constant Field Values

    - #### REPOSITORY_TYPE_GIT

          public static final String REPOSITORY_TYPE_GIT

      See Also:
        Constant Field Values

    - #### DEFAULT_POOL_SIZE

          public static final int DEFAULT_POOL_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_AUTO_SYNC_PERIOD

          public static final long DEFAULT_AUTO_SYNC_PERIOD

      See Also:
        Constant Field Values

    - #### DEFAULT_REPOSITORY_TYPE

          public static final String DEFAULT_REPOSITORY_TYPE

      See Also:
        Constant Field Values

    - #### EVENT_RECEIVER_SERVICE

          public static final String EVENT_RECEIVER_SERVICE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeploymentSynchronizerConstants

          public DeploymentSynchronizerConstants()